Skip to navigation

Clone Docusign account

View as Markdown

Clones an existing Docusign account. Cloning an account copies the plan items and eSignature settings. Users, templates, and permission profiles are not copied into the target account. The new account will linked to the same organization.

In the request body, specify the source account you are cloning by its ID. You can get the IDs for your organization’s asset group accounts using the getAssetGroupAccounts endpoint.

You also need to specify information about the new target account, including the name, location, and administrator. To set the location, provide either the countryCode or region properties. (If both are specified, the region value will be used.) When testing in the developer environment, the region will always be NA.

The request body looks like this:

{
"sourceAccount": {
"id": "624e3e00-xxxx-xxxx-xxxx-43918c520dab"
},
"targetAccount": {
"name": "My Cloned Account",
"admin": {
"firstName": "Francis",
"lastName": "Beagle",
"email": "francis@example.com"
},
"region": "NA"
}
}

To call this endpoint:

  • You must be an administrator for the specified organization. The administrator for the target account must also be an organization admin.
  • The source account must be on the same plan as your contract.
  • The source account must be an asset group account. An asset group is a set of modules, products, plans, and charges purchased for your organization. An asset group account is an account that has been linked to an asset group.
  • Your organization must be set up for account cloning. For more information, email self-serve-provisioning-enablement@docusign.com.

Required scopes: asset_group_account_clone_write.

Next steps

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization's GUID.

Request

This endpoint expects an object: AssetGroupAccountClone

assetGroupIdstringOptionalformat: "uuid"

The ID of the asset group to which the account belongs. Use this value to retrieve information about the clone request with the getAssetGroupAccountClone endpoint.

This property is read-only.

assetGroupWorkIdstringOptionalformat: "uuid"

The ID of the job that is created by the request. Use this value to retrieve information about the clone request with the getAssetGroupAccountClone endpoint.

This property is read-only.

assetGroupWorkTypeenumOptional

The type of asset group work. This property is read-only.

attemptsintegerOptional

The number of retries. This property is read-only.

cloneProcessingFailureDetailsobjectOptional
cloneRequestIdstringOptionalformat: "uuid"
Reserved for Docusign.
createdByEmailstringOptional

The email address of the user who initiated the clone request. This property is read-only.

createdByNamestringOptional

The name of the user who initiated the clone request. This property is read-only.

createdDatedatetimeOptional

The date that the clone request was initiated. This property is read-only.

messagestringOptional

A message providing information about the clone request. If the request resulted in an error, this message includes specific information about the error.

This property is read-only.

orderIdstringOptionalformat: "uuid"
Reserved for Docusign.
sourceAccountobjectOptional
statusenumOptional

The status of the clone request. Valid values:

  • Pending
  • Processing
  • PendingError
  • ProcessingError
  • Completed
  • Canceled
  • PermanentFailure

This property is read-only.

targetAccountobjectOptional
An object describing the target cloned account.

Response

OK
assetGroupIdstringOptionalformat: "uuid"

The ID of the asset group to which the account belongs. Use this value to retrieve information about the clone request with the getAssetGroupAccountClone endpoint.

This property is read-only.

assetGroupWorkIdstringOptionalformat: "uuid"

The ID of the job that is created by the request. Use this value to retrieve information about the clone request with the getAssetGroupAccountClone endpoint.

This property is read-only.

assetGroupWorkTypeenumOptional

The type of asset group work. This property is read-only.

attemptsintegerOptional

The number of retries. This property is read-only.

cloneProcessingFailureDetailsobjectOptional
cloneRequestIdstringOptionalformat: "uuid"
Reserved for Docusign.
createdByEmailstringOptional

The email address of the user who initiated the clone request. This property is read-only.

createdByNamestringOptional

The name of the user who initiated the clone request. This property is read-only.

createdDatedatetimeOptional

The date that the clone request was initiated. This property is read-only.

messagestringOptional

A message providing information about the clone request. If the request resulted in an error, this message includes specific information about the error.

This property is read-only.

orderIdstringOptionalformat: "uuid"
Reserved for Docusign.
sourceAccountobjectOptional
statusenumOptional

The status of the clone request. Valid values:

  • Pending
  • Processing
  • PendingError
  • ProcessingError
  • Completed
  • Canceled
  • PermanentFailure

This property is read-only.

targetAccountobjectOptional
An object describing the target cloned account.